- @page_title = t('.title')

= render 'jwt_tokens/help'

.rui-widget.rui-widget--alt.-mbl
  %h2.-h5.rui-widget__header= t('.new_token')

  .-pvs.-phd
    = render 'jwt_tokens/form', jwt_token: JwtToken.new

- if @last_created_token
  .rui-alert.rui-alert--info.-mbl
    %p= t('.last_token_notice')
    .rui-field.rui-field--inline
      .rui-field__field
        %span.rui-field__field__append.text--color-mute{ for: 'last-created-token' }= @last_created_token.description
        %input#last-created-token{ type: 'text', readonly: true, value: @last_created_token.token }
        -# haml-lint:disable LineLength
        %button.rui-field__field__append{ type: :button,
                                          onclick: 'navigator.clipboard.writeText(document.getElementById("last-created-token").value)' }
          = icon :duplicate
          = t('generic.copy')
        -# haml-lint:enable LineLength

- if @jwt_tokens.empty?
  .rui-empty= t('.no_content')
- else
  %table
    %caption.-sr-only= t('.table_caption')
    %thead
      %tr
        %th{ scope: 'col' }= t('activerecord.attributes.jwt_token.description')
        %th{ scope: 'col' }= t('activerecord.attributes.jwt_token.created_at')
        %th{ scope: 'col' }= t('activerecord.attributes.jwt_token.expires_at')
        %th

    %tbody
      - @jwt_tokens.each do |jwt_token|
        %tr{ class: jwt_token.expired? ? 'text--color-mute' : '' }
          %td{ class: jwt_token.expired? ? '-text--struck' : '' }= jwt_token.description
          %td= jwt_token.created_at
          %td
            = jwt_token.expired? ? '-' : ''
            = time_ago_in_words jwt_token.expires_at
          %td.-actions
            = render 'layouts/entity_actions', destroy_url: jwt_token_path(jwt_token)
